Bug 413781 - reconnection to network is interupted by a prompt for a WPA/WPA2 passphrase
reconnection to network is interupted by a prompt for a WPA/WPA2 passphrase
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 06:28 EST by Rodd Clarkson
Modified: 2009-01-09 00:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:26:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2007-12-06 06:28:32 EST
Description of problem:

When my wireless network connection is interupted (who knows why) instead of
just reconnecting (which should be possible) I am prompted for my WPA passphrase.

Strangely, NetworkManager doesn't need any passphrase to reconnect.  I know this
because if I cancel the dialog (without supplying a passphrase) then it just
reconnects.


Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-0.6.6.svn3109.fc8


How reproducible:

Every time NetworkManager drops the connection.
Comment 1 Alexei Podtelezhnikov 2007-12-10 18:52:17 EST
Welcome to the recently introduced b43 hell. See, for example, bug 412861
Comment 2 Rodd Clarkson 2007-12-12 15:23:04 EST
Just to clear up any confusion, I'm using:

03:03.0 Network controller: Intel Corporation PRO/Wireless 2915ABG Network
Connection (rev 05)

I'm not sure this has anything to do the the b43 hell and I've been seeing it
since f8 came out (and was just a little slow to report the problem)
Comment 3 Michael Buesch 2007-12-12 18:31:41 EST
(In reply to comment #2)
> Just to clear up any confusion, I'm using:
> 
> 03:03.0 Network controller: Intel Corporation PRO/Wireless 2915ABG Network
> Connection (rev 05)
> 
> I'm not sure this has anything to do the the b43 hell and I've been seeing it
> since f8 came out (and was just a little slow to report the problem)


Alexei is talking bullshit. It's as simple as this.
q.e.d.
Comment 4 Scott Clark 2008-04-03 12:18:41 EDT
Is there any additional information I can provide that may help this bug get
resolved faster? Is there anything at all that I can do? I seem to be
experiencing it too, or at least something very similar, with a fully up to date
Fedora 8 system.

One example of the problem for me would be the connection is dropped for
whatever reason, then NetworkManager attempts to reconnect but shows me the
wireless secrets required box. Even if I enter the correct secrets (for either
my home wpa-psk or my school's wpa-enterprise networks) it will only sometimes
connect. If I press cancel and choose the network from nm-applet, I am again
asked and it again fails (usually). I then open up system-config-services and
restart networkmanager. I am then usually able to connect, providing none of the
other networkmanager bugs get in the way.

I have an Intel 3945 card in an HP Pavilion dv2500t laptop. I would really like
to do what I can to help get this resolved.
Comment 5 Bug Zapper 2008-11-26 03:51:48 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:26:18 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.